<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - File Symbol Tables</TITLE>
<link href="suif1_44.html" rel=Next>
<link href="suif1_42.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_42.html">previous</A>, <A HREF="suif1_44.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC43" HREF="suif1_toc.html#TOC43">File Symbol Tables</A></H3>
<P>
<A NAME="IDX268"></A>
<A NAME="IDX269"></A>

</P>
<P>
A file symbol table corresponds to the global scope for a source file.
It contains procedure symbols and global variable symbols with static
linkage, as well as types that are only used within the file.  Each file
symbol table is associated with a particular file set entry.  See section <A HREF="suif1_9.html#SEC9">File Set Entries</A>.

</P>
<P>
<A NAME="IDX270"></A>
<A NAME="IDX271"></A>
The <CODE>file_symtab</CODE> class is derived from the <CODE>global_symtab</CODE>
class to implement the file symbol tables.  Besides the features that
this class inherits from its base class, it also contains a field to
record the file set entry with which it is associated.  This field is
set automatically when the file symbol table is created by the file set
entry.  The <CODE>fse</CODE> method retrieves the value of this field.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_42.html">previous</A>, <A HREF="suif1_44.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
